myriad-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From javiro...@apache.org
Subject [1/2] incubator-myriad git commit: Support for Vagrant-libvirt based testbed.
Date Thu, 05 Apr 2018 21:56:41 GMT
Repository: incubator-myriad
Updated Branches:
  refs/heads/master 2f4ad0d6b -> 2ce260e07


http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/mapred-site.xml
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/mapred-site.xml b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/mapred-site.xml
new file mode 100644
index 0000000..7e90cb5
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/mapred-site.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="configuration.xsl"?>
+<!--
+  Licensed under the Apache License, Version 2.0 (the "License");
+  you may not use this file except in compliance with the License.
+  You may obtain a copy of the License at
+
+    http://www.apache.org/licenses/LICENSE-2.0
+
+  Unless required by applicable law or agreed to in writing, software
+  distributed under the License is distributed on an "AS IS" BASIS,
+  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+  See the License for the specific language governing permissions and
+  limitations under the License. See accompanying LICENSE file.
+-->
+
+<!-- Put site-specific property overrides in this file. -->
+
+<configuration>
+    <property>
+            <name>mapreduce.framework.name</name>
+            <value>yarn</value>
+    </property>
+</configuration>

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/myriad-config-default.yml
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/myriad-config-default.yml b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/myriad-config-default.yml
new file mode 100644
index 0000000..ef27ac1
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/myriad-config-default.yml
@@ -0,0 +1,76 @@
+##
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+##
+mesosMaster: mesos-m1:5050
+checkpoint: false
+frameworkFailoverTimeout: 43200000
+frameworkName: MyriadAlpha
+#frameworkRole: "*"
+frameworkRole: "test"
+frameworkUser: yarn # User the Node Manager runs as, required if nodeManagerURI set, otherwise defaults to the user
+                          # running the resource manager.
+frameworkSuperUser: root  # To be deprecated, currently permissions need set by a superuser due to Mesos-1790.  Must be
+                          # root or have passwordless sudo. Required if nodeManagerURI set, ignored otherwise.
+#nativeLibrary: /usr/local/lib/libmesos.so
+nativeLibrary: /opt/mesos/build/src/.libs/libmesos.so
+zkServers: localhost:2181
+zkTimeout: 20000
+restApiPort: 8192
+#servedConfigPath: dist/config.tgz
+#servedBinaryPath: dist/hadoop-2.6.0.tgz
+profiles:
+  zero:  # NMs launched with this profile dynamically obtain cpu/mem from Mesos
+    cpu: 0
+    mem: 0
+  small:
+    cpu: 1
+    mem: 512
+  medium:
+    cpu: 4
+    mem: 4096
+  large:
+    cpu: 10
+    mem: 12288
+nmInstances: # NMs to start with. Requires at least 1 NM with a non-zero profile.
+  small: 1 # <profile_name : instances>
+rebalancer: false
+haEnabled: false
+nodemanager:
+  jvmMaxMemoryMB: 1024
+  cpus: 0.2
+  cgroups: false
+executor:
+  jvmMaxMemoryMB: 256
+  #path: file:///usr/local/libexec/mesos/myriad-executor-runnable-0.1.0.jar
+  path: file:///opt/hadoop/share/hadoop/yarn/lib/myriad-executor-0.2.0.jar
+  #The following should be used for a remotely distributed URI, hdfs assumed but other URI types valid.
+  #nodeManagerUri: hdfs://namenode:port/dist/hadoop-2.7.0.tar.gz
+  #configUri: http://127.0.0.1/api/arifacts/config.tgz
+  #jvmUri: https://downloads.mycompany.com/java/jre-7u76-linux-x64.tar.gz
+yarnEnvironment:
+  #YARN_HOME: /usr/local/hadoop
+  YARN_HOME: /opt/hadoop
+  #HADOOP_CONF_DIR=config
+  #HADOOP_TMP_DIR=$MESOS_SANDBOX
+  #YARN_HOME: hadoop-2.7.0 #this should be relative if nodeManagerUri is set
+  #JAVA_HOME: /usr/lib/jvm/java-default #System dependent, but sometimes necessary
+  #JAVA_HOME: jre1.7.0_76 # Path to JRE distribution, relative to sandbox directory
+  JAVA_HOME: /usr/lib/jvm/java
+  #JAVA_LIBRARY_PATH: /opt/mycompany/lib
+#mesosAuthenticationPrincipal:
+#mesosAuthenticationSecretFilename:

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/slaves
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/slaves b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/slaves
new file mode 100644
index 0000000..bd6d62a
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/slaves
@@ -0,0 +1,3 @@
+mesos-a2
+mesos-a3
+mesos-a4

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/workers
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/workers b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/workers
new file mode 100644
index 0000000..bd6d62a
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/workers
@@ -0,0 +1,3 @@
+mesos-a2
+mesos-a3
+mesos-a4

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/yarn-site.xml
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/yarn-site.xml b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/yarn-site.xml
new file mode 100644
index 0000000..82c0288
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/files/yarn-site.xml
@@ -0,0 +1,40 @@
+<?xml version="1.0"?>
+<!--
+  Licensed under the Apache License, Version 2.0 (the "License");
+  you may not use this file except in compliance with the License.
+  You may obtain a copy of the License at
+
+    http://www.apache.org/licenses/LICENSE-2.0
+
+  Unless required by applicable law or agreed to in writing, software
+  distributed under the License is distributed on an "AS IS" BASIS,
+  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+  See the License for the specific language governing permissions and
+  limitations under the License. See accompanying LICENSE file.
+-->
+<configuration>
+    <property>
+            <name>yarn.acl.enable</name>
+            <value>0</value>
+    </property>
+
+    <property>
+            <name>yarn.resourcemanager.hostname</name>
+            <value>mesos-m1</value>
+    </property>
+
+    <property>
+            <name>yarn.nodemanager.aux-services</name>
+            <value>mapreduce_shuffle,myriad_executor</value>
+    </property>
+
+    <property>
+        <name>yarn.resourcemanager.scheduler.class</name>
+        <value>org.apache.myriad.scheduler.yarn.MyriadFairScheduler</value>
+    </property>
+
+     <property>
+        <name>yarn.nodemanager.aux-services.myriad_executor.class</name>
+        <value>org.apache.myriad.executor.MyriadExecutorAuxService</value>
+    </property>
+</configuration>

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/build.yml
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/build.yml b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/build.yml
new file mode 100644
index 0000000..9491c8d
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/build.yml
@@ -0,0 +1,51 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+---
+- name: Check that you can connect (GET) to a page and it returns a status 200
+  uri:
+    url: "{{ hadoop_binary_download_url }}"
+  tags: download_hadoop
+
+- name: Download Hadoop binary from Apache releases
+  get_url:
+    url: "{{ hadoop_binary_package }}"
+    dest: "{{ nfs_shared_folder }}"
+  tags: download_hadoop
+
+- name: Check if already moved
+  stat: path="{{ nfs_shared_folder }}/hadoop"
+  register: hadoop_stat
+  tags: download_hadoop
+
+- name: Unarchive a file that is already on the remote machine
+  unarchive:
+    src: "{{ nfs_shared_folder }}/hadoop-{{ hadoop_version }}.tar.gz"
+    dest: "{{ nfs_shared_folder }}"
+    remote_src: yes
+    owner: vagrant
+    group: vagrant
+  when: hadoop_stat.stat.isdir is not defined
+  tags: download_hadoop
+
+- name: Rename folder name
+  command: mv "{{ nfs_shared_folder }}/hadoop-{{ hadoop_version }}" "{{ nfs_shared_folder }}/hadoop"
+  when: hadoop_stat.stat.isdir is not defined
+  tags: download_hadoop
+
+

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/datanode.yml
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/datanode.yml b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/datanode.yml
new file mode 100644
index 0000000..171ebf9
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/datanode.yml
@@ -0,0 +1,50 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+---
+- name: Create Hadoop group
+  group:
+    name: hadoop
+    state: present
+  tags: hadoop
+
+- name: Create Hadoop users
+  user: 
+    name: "{{ item }}"
+    password: "{{ 'vagrant' | password_hash('sha512') }}"
+    shell: /bin/bash 
+    group: hadoop
+  with_items:
+      - yarn
+      - hdfs
+      - mapred
+  tags: hadoop
+
+- name: Create Hadoop data folders
+  file:
+    path: "{{ item }}"
+    state: directory
+    owner: hdfs
+    group: hadoop
+    mode: 0755
+  with_items:
+      - "{{ hadoop_data_root_folder }}/1/dn"
+      - "{{ hadoop_data_root_folder }}/2/dn"
+  tags: hadoop
+
+

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/main.yml
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/main.yml b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/main.yml
new file mode 100644
index 0000000..2480b24
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/main.yml
@@ -0,0 +1,37 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+---
+- name: Setup system wide JAVA_HOME
+  copy:
+    src: java.sh
+    dest: /etc/profile.d
+  tags: hadoop
+
+- include: build.yml
+  when: inventory_hostname in groups['build-host']
+
+- include: namenode.yml
+  when: inventory_hostname in groups['mesos-masters']
+
+- include: datanode.yml
+  when: inventory_hostname in groups['mesos-agents'] and inventory_hostname != 'mesos-a1'
+
+
+
+

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/namenode.yml
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/namenode.yml b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/namenode.yml
new file mode 100644
index 0000000..659693e
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/hadoop/tasks/namenode.yml
@@ -0,0 +1,68 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+---
+- name: Create Hadoop group
+  group:
+    name: hadoop
+    state: present
+  tags: hadoop
+
+- name: Create Hadoop users
+  user: 
+    name: "{{ item }}"
+    password: "{{ 'vagrant' | password_hash('sha512') }}"
+    shell: /bin/bash 
+    group: hadoop
+  with_items:
+      - yarn
+      - hdfs
+      - mapred
+  tags: hadoop
+
+- name: Create Hadoop metadata folder
+  file:
+    path: "{{ hadoop_namenode_folder }}"
+    state: directory
+    owner: hdfs
+    group: hadoop
+    mode: 0755
+  tags: hadoop
+
+- name: Create local logs folder for Hadoop daemons
+  file:
+    path: "{{ hadoop_logs_folder }}"
+    state: directory
+    owner: hdfs
+    group: hadoop
+    mode: 0775
+  tags: hadoop
+
+- name: Copy minimal (core,hdfs,mapred,yarn)-site.xml files
+  copy:
+    src: "{{ item }}"
+    dest: "{{ hadoop_etc_folder }}"
+  with_items:
+    - core-site.xml
+    - hdfs-site.xml
+    - mapred-site.xml
+    - yarn-site.xml
+    - workers
+    - slaves
+    - myriad-config-default.yml
+  tags: hadoop

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/nfs-client/tasks/main.yml
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/nfs-client/tasks/main.yml b/vagrant/mesos/libvirt/mesos/provisioning/roles/nfs-client/tasks/main.yml
new file mode 100644
index 0000000..50f03a8
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/nfs-client/tasks/main.yml
@@ -0,0 +1,31 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+---
+- name: Create NFS mount point
+  file:
+    path: "{{ nfs_shared_folder }}"
+    state: directory
+
+- name: Mount NFS shared folder
+  mount:
+    path: "{{ nfs_shared_folder }}"
+    src: "build:{{ nfs_shared_folder }}"
+    fstype: nfs
+    state: mounted
+

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/passwordless/tasks/build.yml
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/passwordless/tasks/build.yml b/vagrant/mesos/libvirt/mesos/provisioning/roles/passwordless/tasks/build.yml
new file mode 100644
index 0000000..e9d75d4
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/passwordless/tasks/build.yml
@@ -0,0 +1,38 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+---
+- name: Generate RSA key-pair for passwordless
+  shell: ssh-keygen -t rsa -f .ssh/id_rsa -q -N "" && touch .skiprsa
+  become: yes
+  become_user: vagrant
+  args:
+      chdir: /home/vagrant
+      creates: .skiprsa
+
+- name: Install boot host public key in a remote authorized_keys
+  shell: >
+    sshpass -p vagrant ssh-copy-id -i .ssh/id_rsa {{ item }} -o StrictHostKeyChecking=no
+  become: yes
+  become_user: vagrant
+  args:
+    chdir: /home/vagrant
+  with_inventory_hostnames:
+    - all
+
+

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/passwordless/tasks/main.yml
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/passwordless/tasks/main.yml b/vagrant/mesos/libvirt/mesos/provisioning/roles/passwordless/tasks/main.yml
new file mode 100644
index 0000000..81ade41
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/passwordless/tasks/main.yml
@@ -0,0 +1,24 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+---
+- include: build.yml
+  when: inventory_hostname in groups['build-host']
+
+- include: master.yml
+  when: inventory_hostname == 'mesos-m1'

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/passwordless/tasks/master.yml
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/passwordless/tasks/master.yml b/vagrant/mesos/libvirt/mesos/provisioning/roles/passwordless/tasks/master.yml
new file mode 100644
index 0000000..4b0b574
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/passwordless/tasks/master.yml
@@ -0,0 +1,83 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+---
+- name: Create hdfs .ssh folder
+  file:
+    path: /home/hdfs/.ssh
+    state: directory
+    owner: hdfs
+    group: hadoop
+    mode: 0700
+  tags: hadoop
+
+- name: Generate RSA key-pair for hdfs user passwordless
+  shell: ssh-keygen -t rsa -f .ssh/id_rsa -q -N "" && touch .skiprsa
+  become: yes
+  become_user: hdfs
+  args:
+      chdir: /home/hdfs
+      creates: .skiprsa
+  tags: hadoop
+
+- name: Install boot host public key in a remote authorized_keys
+  shell: >
+    sshpass -p vagrant ssh-copy-id -i .ssh/id_rsa {{ item }} -o StrictHostKeyChecking=no 
+  become: yes
+  become_user: hdfs
+  args:
+    chdir: /home/hdfs
+  with_items:
+    - "{{ groups['mesos-masters'] }}"
+    - "{{ groups['mesos-agents'] | reject('search','mesos-a1') | list }}"
+    - 0.0.0.0
+  tags: hadoop
+
+- name: Create yarn .ssh folder
+  file:
+    path: /home/yarn/.ssh
+    state: directory
+    owner: yarn
+    group: hadoop
+    mode: 0700
+  tags: hadoop
+
+- name: Generate RSA key-pair for hdfs user passwordless
+  shell: ssh-keygen -t rsa -f .ssh/id_rsa -q -N "" && touch .skiprsa
+  become: yes
+  become_user: yarn 
+  args:
+      chdir: /home/yarn
+      creates: .skiprsa
+  tags: hadoop
+
+- name: Install boot host public key in a remote authorized_keys
+  shell: >
+    sshpass -p vagrant ssh-copy-id -i .ssh/id_rsa {{ item }} -o StrictHostKeyChecking=no 
+  become: yes
+  become_user: yarn
+  args:
+    chdir: /home/yarn
+  with_items:
+    - "{{ groups['mesos-masters'] }}"
+    - "{{ groups['mesos-agents'] | reject('search','mesos-a1') | list }}"
+    - 0.0.0.0
+  tags: hadoop
+
+
+

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/yarn-start/tasks/main.yml
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/yarn-start/tasks/main.yml b/vagrant/mesos/libvirt/mesos/provisioning/roles/yarn-start/tasks/main.yml
new file mode 100644
index 0000000..8a06d00
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/yarn-start/tasks/main.yml
@@ -0,0 +1,30 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+---
+- name: Start Yarn cluster
+  shell : "source /etc/profile.d/java.sh && {{ nfs_shared_folder }}/hadoop/sbin/start-yarn.sh && touch .skipstartyarn"
+  become: yes
+  become_user: yarn
+  args:
+      creates: .skipstartyarn
+  run_once: yes
+  tags: hadoop
+
+
+

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/roles/zookeeper/tasks/main.yml
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/roles/zookeeper/tasks/main.yml b/vagrant/mesos/libvirt/mesos/provisioning/roles/zookeeper/tasks/main.yml
new file mode 100644
index 0000000..5a91bba
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/roles/zookeeper/tasks/main.yml
@@ -0,0 +1,51 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+---
+- name: Check that you can connect (GET) to a page and it returns a status 200
+  uri:
+    url: "{{ zookeeper_binary_download_url }}"
+  tags: download_zookeeper
+
+- name: Download Zookeeper binary from Apache releases
+  get_url:
+    url: "{{ zookeeper_binary_package }}"
+    dest: "{{ nfs_shared_folder }}"
+  tags: download_zookeeper
+
+- name: Check if already moved
+  stat: path="{{ nfs_shared_folder }}/zookeeper"
+  register: zookeeper_stat
+  tags: download_zookeeper
+
+- name: Unarchive a file that is already on the remote machine
+  unarchive:
+    src: "{{ nfs_shared_folder }}/zookeeper-{{ zookeeper_version }}.tar.gz"
+    dest: "{{ nfs_shared_folder }}"
+    remote_src: yes
+    owner: vagrant
+    group: vagrant
+  when: zookeeper_stat.stat.isdir is not defined
+  tags: download_zookeeper
+
+- name: Rename folder name
+  command: mv "{{ nfs_shared_folder }}/zookeeper-{{ zookeeper_version }}" "{{ nfs_shared_folder }}/zookeeper"
+  when: zookeeper_stat.stat.isdir is not defined
+  tags: download_zookeeper
+
+

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/provisioning/site.yml
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/provisioning/site.yml b/vagrant/mesos/libvirt/mesos/provisioning/site.yml
new file mode 100644
index 0000000..f13a2f0
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/provisioning/site.yml
@@ -0,0 +1,63 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+---
+# - Plays are map roles to hosts.  
+# - Roles are just abstractions around tasks
+# - Each "hosts:"-block (a play) will be executed 
+#   one by one. So you can use multiple
+#   blocks to force the desired execution order.
+# - The plays are executed from top to down order.
+# - Multiple roles declarations per play are executed
+#   non in special order, you cannot control the order
+#   of roles within a play.
+
+# Play 0
+- hosts: all
+  roles:
+   - common
+
+# Play 1
+- hosts: build-host
+  roles:
+   - passwordless
+   - devel
+   - hadoop
+#   - zookeeper
+
+# Play 3
+- hosts: mesos-masters mesos-agents
+  roles:
+    - docker
+    - nfs-client
+    - hadoop
+    - passwordless
+
+# Play 4
+- hosts: mesos-masters 
+  roles:
+    - dfs-start
+
+# FIXME: Yarn ResourceManager hangs with SIGHUP from Ansible, problably
+# fixed with setsid or something similar for detaching controlling tty.
+
+# Play 5
+#- hosts: mesos-masters 
+#  roles:
+#    - yarn-start
+

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/libvirt/mesos/setup-env
----------------------------------------------------------------------
diff --git a/vagrant/mesos/libvirt/mesos/setup-env b/vagrant/mesos/libvirt/mesos/setup-env
new file mode 100644
index 0000000..d17d2a7
--- /dev/null
+++ b/vagrant/mesos/libvirt/mesos/setup-env
@@ -0,0 +1,23 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+export MESOS_ARCH=1m4a
+export HADOOP_VERSION=2.7.0
+export ZOOKEEPER_VERSION=3.4.11
+
+sh check-env.sh

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/virtualbox/Vagrantfile
----------------------------------------------------------------------
diff --git a/vagrant/mesos/virtualbox/Vagrantfile b/vagrant/mesos/virtualbox/Vagrantfile
new file mode 100644
index 0000000..4ccc8a0
--- /dev/null
+++ b/vagrant/mesos/virtualbox/Vagrantfile
@@ -0,0 +1,79 @@
+# -*- mode: ruby -*-
+# # vi: set ft=ruby :
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+VAGRANTFILE_API_VERSION = "2"
+
+HADOOP_VERSION="2.7.0"
+PRIVATE_IP="10.141.141.20"
+
+Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|
+  config.vm.box = "ubuntu/trusty64"
+  config.vm.box_url = "https://vagrantcloud.com/ubuntu/boxes/trusty64"
+  config.vm.network :private_network, ip: "#{PRIVATE_IP}"
+
+  # Configure VM resources
+  config.vm.provider :virtualbox do |vb|
+    vb.name = "myriad-dev"
+    vb.customize ["modifyvm", :id, "--memory", "4096"]
+    vb.customize ["modifyvm", :id, "--cpus", "2"]
+    vb.customize ["modifyvm", :id, "--natdnshostresolver1", "on"]
+    vb.customize ["modifyvm", :id, "--natdnsproxy1", "on"]
+  end
+
+  if Vagrant.has_plugin?("vagrant-cachier")
+    # Configure cached packages to be shared between instances of the same base box.
+    config.cache.scope = :box
+  end
+
+  # Forward mesos master and slave ports
+  config.vm.network "forwarded_port", guest: 5005, host: 5005
+  config.vm.network "forwarded_port", guest: 5050, host: 5050
+  config.vm.network "forwarded_port", guest: 5051, host: 5051
+
+  # Forward myriad web and admin ports
+  config.vm.network "forwarded_port", guest: 8080, host: 8080
+  config.vm.network "forwarded_port", guest: 8081, host: 8081
+
+  # Forward YARN/Hadoop ports
+  config.vm.network "forwarded_port", guest: 50070, host: 50070
+  config.vm.network "forwarded_port", guest: 50075, host: 50075
+  config.vm.network "forwarded_port", guest: 8088, host: 8088
+  config.vm.network "forwarded_port", guest: 8042, host: 8042
+  config.vm.network "forwarded_port", guest: 19888, host: 19888
+  config.vm.network "forwarded_port", guest: 8192, host: 8192
+  config.vm.network "forwarded_port", guest: 2181, host: 2181
+
+  # install software
+  config.vm.provision "shell", path: "provisioning/install_default_jdk.sh"
+  config.vm.provision "shell", path: "provisioning/install_mesos.sh"
+  config.vm.provision "shell", path: "provisioning/install_docker.sh"
+  config.vm.provision "shell", path: "provisioning/install_hadoop.sh", args: ["#{HADOOP_VERSION}"]
+
+  # start things up
+  config.vm.provision "shell", path: "provisioning/start_mesos_master.sh"
+  config.vm.provision "shell", path: "provisioning/start_mesos_slave.sh"
+  config.vm.provision "shell", path: "provisioning/format_namenode.sh"
+  config.vm.provision "shell", path: "provisioning/start_namenode.sh"
+  config.vm.provision "shell", path: "provisioning/start_datanode.sh"
+  config.vm.provision "shell", path: "provisioning/start_historyserver.sh"
+
+end

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/virtualbox/provisioning/format_namenode.sh
----------------------------------------------------------------------
diff --git a/vagrant/mesos/virtualbox/provisioning/format_namenode.sh b/vagrant/mesos/virtualbox/provisioning/format_namenode.sh
new file mode 100644
index 0000000..e944a41
--- /dev/null
+++ b/vagrant/mesos/virtualbox/provisioning/format_namenode.sh
@@ -0,0 +1,23 @@
+#!/bin/bash -v
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+set -e
+
+# Format NameNode
+sudo -u hduser sh -c 'yes Y | /usr/local/hadoop/bin/hdfs namenode -format'

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/virtualbox/provisioning/install_default_jdk.sh
----------------------------------------------------------------------
diff --git a/vagrant/mesos/virtualbox/provisioning/install_default_jdk.sh b/vagrant/mesos/virtualbox/provisioning/install_default_jdk.sh
new file mode 100644
index 0000000..0a85c3c
--- /dev/null
+++ b/vagrant/mesos/virtualbox/provisioning/install_default_jdk.sh
@@ -0,0 +1,32 @@
+#!/bin/bash -v
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+PREFIX="JAVA Default JDK Provisioner:"
+set -e
+
+# For installing Java 8
+apt-get -y update
+apt-get -y install default-jdk
+
+if $(test -e /usr/lib/libjvm.so); then
+  rm /usr/lib/libjvm.so
+fi
+
+ln -s /usr/lib/jvm/default-java/jre/lib/amd64/server/libjvm.so /usr/lib/libjvm.so

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/virtualbox/provisioning/install_docker.sh
----------------------------------------------------------------------
diff --git a/vagrant/mesos/virtualbox/provisioning/install_docker.sh b/vagrant/mesos/virtualbox/provisioning/install_docker.sh
new file mode 100644
index 0000000..a0a214f
--- /dev/null
+++ b/vagrant/mesos/virtualbox/provisioning/install_docker.sh
@@ -0,0 +1,25 @@
+#!/bin/bash -v
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+set -e
+
+#Install docker
+echo "deb http://http.debian.net/debian jessie-backports main" >> /etc/apt/sources.list
+apt-get update
+apt-get -y install docker.io

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/virtualbox/provisioning/install_hadoop.sh
----------------------------------------------------------------------
diff --git a/vagrant/mesos/virtualbox/provisioning/install_hadoop.sh b/vagrant/mesos/virtualbox/provisioning/install_hadoop.sh
new file mode 100644
index 0000000..fe5c2a0
--- /dev/null
+++ b/vagrant/mesos/virtualbox/provisioning/install_hadoop.sh
@@ -0,0 +1,115 @@
+#!/bin/bash -v
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+# $1 is HADOOP_VERSION
+set -e
+
+apt-get update
+
+apt-get install -y openssh-server
+apt-get install -y tar
+apt-get install -y gzip
+
+# Add hduser user and hadoop group
+
+if [ `/bin/egrep  -i "^hadoop:" /etc/group` ]; then
+   echo "Group hadoop already exists"
+else
+  echo "Adding hadoop group"
+  addgroup hadoop
+fi
+
+
+if [ `/bin/egrep  -i "^hduser:" /etc/passwd` ]; then
+  echo "User hduser already exists"
+else
+  echo "creating hduser in group hadoop"
+  adduser --ingroup hadoop --disabled-password --gecos "" --home /home/hduser hduser
+  adduser hduser sudo
+fi
+
+# Setup password-less auth
+sudo -u hduser sh -c "mkdir -p /home/hduser/.ssh"
+sudo -u hduser sh -c "chmod 700 /home/hduser/.ssh"
+sudo -u hduser sh -c "yes | ssh-keygen -t rsa -N '' -f /home/hduser/.ssh/id_rsa"
+sudo -u hduser sh -c 'cat /home/hduser/.ssh/id_rsa.pub >> /home/hduser/.ssh/authorized_keys'
+#sudo -u hduser sh -c "ssh-keyscan -H $1 >> /home/hduser/.ssh/known_hosts"
+sudo -u hduser sh -c "ssh-keyscan -H localhost >> /home/hduser/.ssh/known_hosts"
+#sudo -u hduser sh -c "ssh-keyscan -H $2 >> /home/hduser/.ssh/known_hosts"
+
+# Download Hadoop
+HADOOP_VER="$1"
+cd ~
+if [ ! -f /tmp/hadoop-${HADOOP_VER}.tar.gz ]; then
+	wget http://apache.osuosl.org/hadoop/common/hadoop-${HADOOP_VER}/hadoop-${HADOOP_VER}.tar.gz -O /tmp/hadoop-${HADOOP_VER}.tar.gz
+fi
+
+sudo tar ixzf /tmp/hadoop-${HADOOP_VER}.tar.gz -C /usr/local
+cd /usr/local
+rm -rf hadoop
+sudo mv -f hadoop-${HADOOP_VER} hadoop
+sudo chown -R hduser:hadoop hadoop
+
+# Init bashrc with hadoop env variables
+sudo sh -c 'echo export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64 >> /home/hduser/.bashrc'
+sudo sh -c 'echo export HADOOP_INSTALL=/usr/local/hadoop >> /home/hduser/.bashrc'
+sudo sh -c 'echo export PATH=\$PATH:\$HADOOP_INSTALL/bin >> /home/hduser/.bashrc'
+sudo sh -c 'echo export PATH=\$PATH:\$HADOOP_INSTALL/sbin >> /home/hduser/.bashrc'
+sudo sh -c 'echo export HADOOP_MAPRED_HOME=\$HADOOP_INSTALL >> /home/hduser/.bashrc'
+sudo sh -c 'echo export HADOOP_COMMON_HOME=\$HADOOP_INSTALL >> /home/hduser/.bashrc'
+sudo sh -c 'echo export HADOOP_HDFS_HOME=\$HADOOP_INSTALL >> /home/hduser/.bashrc'
+sudo sh -c 'echo export YARN_HOME=\$HADOOP_INSTALL >> /home/hduser/.bashrc'
+sudo sh -c 'echo export HADOOP_COMMON_LIB_NATIVE_DIR=\$\{HADOOP_INSTALL\}/lib/native >> /home/hduser/.bashrc'
+sudo sh -c 'echo export HADOOP_OPTS=\"-Djava.library.path=\$HADOOP_INSTALL/lib\" >> /home/hduser/.bashrc'
+# hit the vagrant user with the same thing
+sudo sh -c 'echo export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64 >> /home/vagrant/.bashrc'
+sudo sh -c 'echo export HADOOP_INSTALL=/usr/local/hadoop >> /home/vagrant/.bashrc'
+sudo sh -c 'echo export PATH=\$PATH:\$HADOOP_INSTALL/bin >> /home/vagrant/.bashrc'
+sudo sh -c 'echo export PATH=\$PATH:\$HADOOP_INSTALL/sbin >> /home/vagrant/.bashrc'
+sudo sh -c 'echo export HADOOP_MAPRED_HOME=\$HADOOP_INSTALL >> /home/vagrant/.bashrc'
+sudo sh -c 'echo export HADOOP_COMMON_HOME=\$HADOOP_INSTALL >> /home/vagrant/.bashrc'
+sudo sh -c 'echo export HADOOP_HDFS_HOME=\$HADOOP_INSTALL >> /home/vagrant/.bashrc'
+sudo sh -c 'echo export YARN_HOME=\$HADOOP_INSTALL >> /home/vagrant/.bashrc'
+sudo sh -c 'echo export HADOOP_COMMON_LIB_NATIVE_DIR=\$\{HADOOP_INSTALL\}/lib/native >> /home/vagrant/.bashrc'
+sudo sh -c 'echo export HADOOP_OPTS=\"-Djava.library.path=\$HADOOP_INSTALL/lib\" >> /home/vagrant/.bashrc'
+
+
+# Modify JAVA_HOME in hadoop-env
+cd /usr/local/hadoop/etc/hadoop
+sudo -u hduser sed -i.bak s=\${JAVA_HOME}=//usr/lib/jvm/java-7-openjdk-amd64/=g hadoop-env.sh
+pwd
+
+/usr/local/hadoop/bin/hadoop version
+
+# Update configuration
+sudo -u hduser sed -i.bak 's=<configuration>=<configuration>\<property>\<name>fs\.default\.name\</name>\<value>hdfs://localhost:9000\</value>\</property>=g' core-site.xml
+#sudo -u hduser sed -i.bak 's=<configuration>=<configuration>\<property>\<name>fs\.default\.name\</name>\<value>hdfs://'"$1"':9000\</value>\</property>=g' core-site.xml
+sudo -u hduser sed -i.bak 's=<configuration>=<configuration>\<property>\<name>yarn\.nodemanager\.aux-services</name>\<value>mapreduce_shuffle</value>\</property>\<property>\<name>yarn.nodemanager.aux-services.mapreduce.shuffle.class</name>\<value>org\.apache\.hadoop\.mapred\.ShuffleHandler</value>\</property>=g' yarn-site.xml
+
+sudo -u hduser cp mapred-site.xml.template mapred-site.xml
+sudo -u hduser sed -i.bak 's=<configuration>=<configuration>\<property>\<name>mapreduce\.framework\.name</name>\<value>yarn</value>\</property>=g' mapred-site.xml
+
+cd ~
+sudo -u hduser sh -c 'mkdir -p ~hduser/mydata/hdfs/namenode'
+sudo -u hduser sh -c 'mkdir -p ~hduser/mydata/hdfs/datanode'
+sudo chown -R hduser:hadoop ~hduser/mydata
+
+cd /usr/local/hadoop/etc/hadoop
+sudo -u hduser sed -i.bak 's=<configuration>=<configuration>\<property>\<name>dfs\.replication</name>\<value>1\</value>\</property>\<property>\<name>dfs\.namenode\.name\.dir</name>\<value>file:/home/hduser/mydata/hdfs/namenode</value>\</property>\<property>\<name>dfs\.datanode\.data\.dir</name>\<value>file:/home/hduser/mydata/hdfs/datanode</value>\</property>\<property>\<name>dfs\.namenode\.datanode\.registration\.ip-hostname-check</name>\<value>false</value>\</property>=g' hdfs-site.xml

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/virtualbox/provisioning/install_mesos.sh
----------------------------------------------------------------------
diff --git a/vagrant/mesos/virtualbox/provisioning/install_mesos.sh b/vagrant/mesos/virtualbox/provisioning/install_mesos.sh
new file mode 100644
index 0000000..d3521f5
--- /dev/null
+++ b/vagrant/mesos/virtualbox/provisioning/install_mesos.sh
@@ -0,0 +1,38 @@
+#!/bin/bash -v
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+PREFIX="Mesos Provisioner: "
+set -e
+
+echo "${PREFIX} Installing pre-reqs..."
+# For Mesos
+apt-key adv --keyserver keyserver.ubuntu.com --recv E56151BF
+DISTRO=$(lsb_release -is | tr '[:upper:]' '[:lower:]')
+CODENAME=$(lsb_release -cs)
+echo "deb http://repos.mesosphere.io/${DISTRO} ${CODENAME} main" | sudo tee /etc/apt/sources.list.d/mesosphere.list
+apt-get -y update
+
+apt-get -y install libcurl3
+apt-get -y install zookeeperd
+apt-get -y install aria2
+apt-get -y install ssh
+apt-get -y install rsync
+
+apt-get -y install mesos=0.24.1-0.2.35.ubuntu1404

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/virtualbox/provisioning/shutdown.sh
----------------------------------------------------------------------
diff --git a/vagrant/mesos/virtualbox/provisioning/shutdown.sh b/vagrant/mesos/virtualbox/provisioning/shutdown.sh
new file mode 100644
index 0000000..2012b84
--- /dev/null
+++ b/vagrant/mesos/virtualbox/provisioning/shutdown.sh
@@ -0,0 +1,30 @@
+#!/bin/bash -v
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+set -e
+
+# Stop HistoryServer
+sudo -u hduser sh -c '/usr/local/hadoop/sbin/mr-jobhistory-daemon.sh stop historyserver'
+
+# Stop DataNode
+sudo -u hduser sh -c '/usr/local/hadoop/sbin/hadoop-daemons.sh stop datanode'
+
+# Stop NameNode
+sudo -u hduser sh -c '/usr/local/hadoop/sbin/hadoop-daemon.sh stop namenode'

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/virtualbox/provisioning/start_datanode.sh
----------------------------------------------------------------------
diff --git a/vagrant/mesos/virtualbox/provisioning/start_datanode.sh b/vagrant/mesos/virtualbox/provisioning/start_datanode.sh
new file mode 100644
index 0000000..e391187
--- /dev/null
+++ b/vagrant/mesos/virtualbox/provisioning/start_datanode.sh
@@ -0,0 +1,24 @@
+#!/bin/bash -v
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+set -e
+
+# Start DataNode
+sudo -u hduser sh -c '/usr/local/hadoop/sbin/hadoop-daemons.sh start datanode'

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/virtualbox/provisioning/start_historyserver.sh
----------------------------------------------------------------------
diff --git a/vagrant/mesos/virtualbox/provisioning/start_historyserver.sh b/vagrant/mesos/virtualbox/provisioning/start_historyserver.sh
new file mode 100644
index 0000000..88adfca
--- /dev/null
+++ b/vagrant/mesos/virtualbox/provisioning/start_historyserver.sh
@@ -0,0 +1,23 @@
+#!/bin/bash -v
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+set -e
+
+sudo -u hduser sh -c '/usr/local/hadoop/sbin/mr-jobhistory-daemon.sh start historyserver'

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/virtualbox/provisioning/start_mesos_master.sh
----------------------------------------------------------------------
diff --git a/vagrant/mesos/virtualbox/provisioning/start_mesos_master.sh b/vagrant/mesos/virtualbox/provisioning/start_mesos_master.sh
new file mode 100644
index 0000000..4ff48db
--- /dev/null
+++ b/vagrant/mesos/virtualbox/provisioning/start_mesos_master.sh
@@ -0,0 +1,34 @@
+#!/bin/bash -v
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+echo "zk://127.0.0.1:2181/mesos" > /etc/mesos/zk
+#echo "$@ master" >> /etc/hosts
+echo "10.141.141.20 master" >> /etc/hosts
+echo 10.141.141.20 | sudo tee /etc/mesos-master/ip
+echo master | sudo tee /etc/mesos-master/hostname
+
+echo "export HADOOP_HOME=/usr/local/hadoop" >> /root/.bashrc
+echo "export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64" >> /root/.bashrc
+echo "export PATH=$PATH:$HADOOP_HOME/bin:$JAVA_HOME/bin" >> /root/.bashrc
+
+# keep mesos slave from starting here
+echo manual | sudo tee /etc/init/mesos-slave.override
+
+sudo start mesos-master

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/virtualbox/provisioning/start_mesos_slave.sh
----------------------------------------------------------------------
diff --git a/vagrant/mesos/virtualbox/provisioning/start_mesos_slave.sh b/vagrant/mesos/virtualbox/provisioning/start_mesos_slave.sh
new file mode 100644
index 0000000..2abbec9
--- /dev/null
+++ b/vagrant/mesos/virtualbox/provisioning/start_mesos_slave.sh
@@ -0,0 +1,38 @@
+#!/bin/bash -v
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+set -e
+
+echo "10.141.141.20" > /etc/mesos-slave/ip
+echo "cgroups/cpu,cgroups/mem" > /etc/mesos-slave/isolation
+echo "mesos" > /etc/mesos-slave/containerizers
+echo "/usr/local/hadoop" > /etc/mesos-slave/hadoop_home
+
+echo "export HADOOP_HOME=/usr/local/hadoop" >> /root/.bashrc
+echo "export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64" >> /root/.bashrc
+
+echo "zk://127.0.0.1:2181/mesos" | sudo tee /etc/mesos/zk
+echo "localhost" | sudo tee /etc/mesos-slave/hostname
+echo "cpus:2;mem:2048" | sudo tee /etc/mesos-slave/resources
+echo manual | sudo tee /etc/init/mesos-master.override
+echo manual | sudo tee /etc/init/zookeeper.override
+
+
+start mesos-slave

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/mesos/virtualbox/provisioning/start_namenode.sh
----------------------------------------------------------------------
diff --git a/vagrant/mesos/virtualbox/provisioning/start_namenode.sh b/vagrant/mesos/virtualbox/provisioning/start_namenode.sh
new file mode 100644
index 0000000..d82b260
--- /dev/null
+++ b/vagrant/mesos/virtualbox/provisioning/start_namenode.sh
@@ -0,0 +1,27 @@
+#!/bin/bash -v
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+set -e
+
+# Start NameNode
+sudo -u hduser sh -c '/usr/local/hadoop/sbin/hadoop-daemon.sh start namenode'
+
+# Open up the HDFS permissions
+sudo -u hduser sh -c "/usr/local/hadoop/bin/hadoop fs -chmod 777 /"

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/shutdown.sh
----------------------------------------------------------------------
diff --git a/vagrant/shutdown.sh b/vagrant/shutdown.sh
deleted file mode 100644
index 2012b84..0000000
--- a/vagrant/shutdown.sh
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/bash -v
-#
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing,
-# software distributed under the License is distributed on an
-# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-# KIND, either express or implied.  See the License for the
-# specific language governing permissions and limitations
-# under the License.
-#
-
-set -e
-
-# Stop HistoryServer
-sudo -u hduser sh -c '/usr/local/hadoop/sbin/mr-jobhistory-daemon.sh stop historyserver'
-
-# Stop DataNode
-sudo -u hduser sh -c '/usr/local/hadoop/sbin/hadoop-daemons.sh stop datanode'
-
-# Stop NameNode
-sudo -u hduser sh -c '/usr/local/hadoop/sbin/hadoop-daemon.sh stop namenode'

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/start_datanode.sh
----------------------------------------------------------------------
diff --git a/vagrant/start_datanode.sh b/vagrant/start_datanode.sh
deleted file mode 100644
index e391187..0000000
--- a/vagrant/start_datanode.sh
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/bash -v
-#
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing,
-# software distributed under the License is distributed on an
-# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-# KIND, either express or implied.  See the License for the
-# specific language governing permissions and limitations
-# under the License.
-#
-
-set -e
-
-# Start DataNode
-sudo -u hduser sh -c '/usr/local/hadoop/sbin/hadoop-daemons.sh start datanode'

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/start_historyserver.sh
----------------------------------------------------------------------
diff --git a/vagrant/start_historyserver.sh b/vagrant/start_historyserver.sh
deleted file mode 100644
index 88adfca..0000000
--- a/vagrant/start_historyserver.sh
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/bash -v
-#
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing,
-# software distributed under the License is distributed on an
-# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-# KIND, either express or implied.  See the License for the
-# specific language governing permissions and limitations
-# under the License.
-#
-
-set -e
-
-sudo -u hduser sh -c '/usr/local/hadoop/sbin/mr-jobhistory-daemon.sh start historyserver'

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/start_mesos_master.sh
----------------------------------------------------------------------
diff --git a/vagrant/start_mesos_master.sh b/vagrant/start_mesos_master.sh
deleted file mode 100644
index 4ff48db..0000000
--- a/vagrant/start_mesos_master.sh
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/bash -v
-#
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing,
-# software distributed under the License is distributed on an
-# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-# KIND, either express or implied.  See the License for the
-# specific language governing permissions and limitations
-# under the License.
-#
-
-echo "zk://127.0.0.1:2181/mesos" > /etc/mesos/zk
-#echo "$@ master" >> /etc/hosts
-echo "10.141.141.20 master" >> /etc/hosts
-echo 10.141.141.20 | sudo tee /etc/mesos-master/ip
-echo master | sudo tee /etc/mesos-master/hostname
-
-echo "export HADOOP_HOME=/usr/local/hadoop" >> /root/.bashrc
-echo "export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64" >> /root/.bashrc
-echo "export PATH=$PATH:$HADOOP_HOME/bin:$JAVA_HOME/bin" >> /root/.bashrc
-
-# keep mesos slave from starting here
-echo manual | sudo tee /etc/init/mesos-slave.override
-
-sudo start mesos-master

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/start_mesos_slave.sh
----------------------------------------------------------------------
diff --git a/vagrant/start_mesos_slave.sh b/vagrant/start_mesos_slave.sh
deleted file mode 100644
index 2abbec9..0000000
--- a/vagrant/start_mesos_slave.sh
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/bin/bash -v
-#
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing,
-# software distributed under the License is distributed on an
-# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-# KIND, either express or implied.  See the License for the
-# specific language governing permissions and limitations
-# under the License.
-#
-
-set -e
-
-echo "10.141.141.20" > /etc/mesos-slave/ip
-echo "cgroups/cpu,cgroups/mem" > /etc/mesos-slave/isolation
-echo "mesos" > /etc/mesos-slave/containerizers
-echo "/usr/local/hadoop" > /etc/mesos-slave/hadoop_home
-
-echo "export HADOOP_HOME=/usr/local/hadoop" >> /root/.bashrc
-echo "export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64" >> /root/.bashrc
-
-echo "zk://127.0.0.1:2181/mesos" | sudo tee /etc/mesos/zk
-echo "localhost" | sudo tee /etc/mesos-slave/hostname
-echo "cpus:2;mem:2048" | sudo tee /etc/mesos-slave/resources
-echo manual | sudo tee /etc/init/mesos-master.override
-echo manual | sudo tee /etc/init/zookeeper.override
-
-
-start mesos-slave

http://git-wip-us.apache.org/repos/asf/incubator-myriad/blob/2ce260e0/vagrant/start_namenode.sh
----------------------------------------------------------------------
diff --git a/vagrant/start_namenode.sh b/vagrant/start_namenode.sh
deleted file mode 100644
index d82b260..0000000
--- a/vagrant/start_namenode.sh
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/bin/bash -v
-#
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing,
-# software distributed under the License is distributed on an
-# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-# KIND, either express or implied.  See the License for the
-# specific language governing permissions and limitations
-# under the License.
-#
-
-set -e
-
-# Start NameNode
-sudo -u hduser sh -c '/usr/local/hadoop/sbin/hadoop-daemon.sh start namenode'
-
-# Open up the HDFS permissions
-sudo -u hduser sh -c "/usr/local/hadoop/bin/hadoop fs -chmod 777 /"


Mime
View raw message